classification
Title: _UnixSubprocessTransport leaks socket pair if Popen fails
Type: resource usage Stage: resolved
Components: asyncio Versions: Python 3.8, Python 3.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: asvetlov, miss-islington, niklasf, yselivanov
Priority: normal Keywords: patch, patch, patch

Created on 2019-01-11 19:24 by niklasf, last changed 2019-05-20 12:36 by asvetlov. This issue is now closed.

Files
File name Uploaded Description Edit
subprocess-exec-test.py niklasf, 2019-01-11 19:24
Pull Requests
URL Status Linked Edit
PR 11553 merged niklasf, 2019-01-14 14:09
PR 11553 merged niklasf, 2019-01-14 14:09
PR 11553 merged niklasf, 2019-01-14 14:09
PR 13439 merged miss-islington, 2019-05-20 12:02
Messages (3)
msg333501 - (view) Author: Niklas Fiekas (niklasf) * Date: 2019-01-11 19:24
Output of attached test case:

non-existing indeed
subprocess-exec-test.py:11: ResourceWarning: unclosed <socket.socket fd=6, family=AddressFamily.AF_UNIX, type=SocketKind.SOCK_STREAM, proto=0>
  print("non-existing indeed")
ResourceWarning: Enable tracemalloc to get the object allocation traceback
subprocess-exec-test.py:11: ResourceWarning: unclosed <socket.socket fd=7, family=AddressFamily.AF_UNIX, type=SocketKind.SOCK_STREAM, proto=0>
  print("non-existing indeed")
ResourceWarning: Enable tracemalloc to get the object allocation traceback
.
----------------------------------------------------------------------
Ran 1 test in 0.007s

OK
msg342904 - (view) Author: miss-islington (miss-islington) Date: 2019-05-20 12:02
New changeset 9932fd91e878b740704ff599522e945a4bbe2ae1 by Miss Islington (bot) (Niklas Fiekas) in branch 'master':
bpo-35721: Close socket pair if Popen in _UnixSubprocessTransport fails (GH-11553)
https://github.com/python/cpython/commit/9932fd91e878b740704ff599522e945a4bbe2ae1
msg342906 - (view) Author: miss-islington (miss-islington) Date: 2019-05-20 12:36
New changeset 3887932e1099931801876d53d05e25a43c3473b7 by Miss Islington (bot) in branch '3.7':
bpo-35721: Close socket pair if Popen in _UnixSubprocessTransport fails (GH-11553)
https://github.com/python/cpython/commit/3887932e1099931801876d53d05e25a43c3473b7
History
Date User Action Args
2019-05-20 12:36:41asvetlovsetkeywords: patch, patch, patch
status: open -> closed
stage: patch review -> resolved
resolution: fixed
versions: + Python 3.7
2019-05-20 12:36:01miss-islingtonsetmessages: + msg342906
2019-05-20 12:02:32miss-islingtonsetpull_requests: + pull_request13348
2019-05-20 12:02:21miss-islingtonsetnosy: + miss-islington
messages: + msg342904
2019-01-14 14:09:55niklasfsetkeywords: + patch
stage: patch review
pull_requests: + pull_request11186
2019-01-14 14:09:47niklasfsetkeywords: + patch
stage: (no value)
pull_requests: + pull_request11185
2019-01-14 14:09:39niklasfsetkeywords: + patch
stage: (no value)
pull_requests: + pull_request11184
2019-01-11 19:24:51niklasfcreate